View Issue Details

IDProjectCategoryView StatusLast Update
0023069LazarusLCLpublic2013-09-02 11:53
ReporterJessica BrownAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.0Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023069: TTabControl has extraneous borders
DescriptionThe borders on TTabControl are not as expected. The top part of the tab control has no border on the right side, and there is an unexpected double border below the tabs. There is also a raised border around the bottom of the tab control that should be flat. Attaching a screenshot comparing the appearance on Windows to Delphi. Notice that in Delphi's TTabControl, there is only a single border around the entire control and extraneous borders are not shown.
TagsNo tags attached.
Fixed in Revision42550
LazTarget1.0.14
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0018224 resolvedMartin Friebe Packages Synedit align to TabControl not occupies all place 

Activities

2012-10-06 07:41

 

TTabControl-Borders.png (9,328 bytes)
TTabControl-Borders.png (9,328 bytes)

Jessica Brown

2012-10-10 05:06

reporter   ~0063037

May also be worth noting that tabs aligned to the bottom of the control are missing the bottom border.

Martin Friebe

2013-09-02 11:53

manager   ~0069654

Please test and close if ok

Issue History

Date Modified Username Field Change
2012-10-06 07:41 Jessica Brown New Issue
2012-10-06 07:41 Jessica Brown File Added: TTabControl-Borders.png
2012-10-06 07:41 Jessica Brown Widgetset => Win32/Win64
2012-10-10 05:06 Jessica Brown Note Added: 0063037
2013-09-02 00:49 Martin Friebe Relationship added related to 0018224
2013-09-02 11:53 Martin Friebe Fixed in Revision => 42550
2013-09-02 11:53 Martin Friebe LazTarget => 1.0.14
2013-09-02 11:53 Martin Friebe Note Added: 0069654
2013-09-02 11:53 Martin Friebe Status new => resolved
2013-09-02 11:53 Martin Friebe Fixed in Version => 1.1 (SVN)
2013-09-02 11:53 Martin Friebe Resolution open => fixed
2013-09-02 11:53 Martin Friebe Assigned To => Martin Friebe
2013-09-02 11:53 Martin Friebe Target Version => 1.2.0